<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.Extensions.Configuration.Abstractions" Version="6.0.0" />
    <PackageReference Include="Microsoft.Extensions.DependencyInjection.Abstractions" Version="6.0.0" />
    <PackageReference Include="Nuget.Tools.V2" Version="1.1.7">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\src\DotNetCore.CAP.Dashboard\DotNetCore.CAP.Dashboard.csproj" />
    <ProjectReference Include="..\src\DotNetCore.CAP.RabbitMQ\DotNetCore.CAP.RabbitMQ.csproj" />
    <ProjectReference Include="..\src\DotNetCore.CAP.SqlServer\DotNetCore.CAP.SqlServer.csproj" />
    <ProjectReference Include="..\src\DotNetCore.CAP\DotNetCore.CAP.csproj" />
  </ItemGroup>

</Project>
